# `abacusai.forecasting_analysis_graph_data`

## Module Contents

### Classes

`ForecastingAnalysisGraphData` | Forecasting Analysis Graph Data representation.

class abacusai.forecasting_analysis_graph_data.ForecastingAnalysisGraphData(client, data=None, xAxis=None, yAxis=None, dataColumns=None, itemStatistics={})

  Bases: `abacusai.return_class.AbstractApiClass`

  Forecasting Analysis Graph Data representation.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - data (list) – List of graph data

    - xAxis (str) – Feature that represents the x axis

    - yAxis (str) – Feature that represents the y axis

    - dataColumns (list) – Ordered name of the column for each rowwise data

    - itemStatistics (ItemStatistics) – In item wise charts, gives the mean, median, count, missing_percent, p10, p90, standard_deviation, min, max

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict